#include "libk.h"
#include "libf.h"

#include <emscripten.h>


// XXX should be in make, but currently emscripten cannot do this
__attribute__((constructor))
static void init() {
	// XXX EM_ASM does not work in wasm mode
#	if 1
	EM_ASM({
	    loadDynamicLibrary('libf_so.js');
	});
#else
	emscripten_run_script("loadDynamicLibrary('libf_so.wasm')");
#	endif
}

LIBKAPI
int kfunc1() {
	ffunc1();
	return 12;
}
